public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Ondrej Mosnacek <omosnace@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: kernel/selinux-testsuite: add workaround for CONFIG_SCSI_ISCSI_ATTRS=n
Date: Fri, 11 Sep 2026 13:21:25 GMT	[thread overview]
Message-ID: <178913288511.1.15951807400895273459.tests-selinux-87346d076049@fedoraproject.org> (raw)

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : 87346d0760497fa33958272e80fa3d47620e2875
            Author : Ondrej Mosnacek <omosnace@redhat.com>
            Date   : 2024-02-26T20:02:10+01:00
            Stats  : +7/-0 in 1 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/87346d0760497fa33958272e80fa3d47620e2875?branch=pr775-checkpolicy-revdeps

            Log:
            kernel/selinux-testsuite: add workaround for CONFIG_SCSI_ISCSI_ATTRS=n

This is needed for the testsuite to be runnable on RH automotive
kernels.

Signed-off-by: Ondrej Mosnacek <omosnace@redhat.com>

---
diff --git a/kernel/selinux-testsuite/runtest.sh b/kernel/selinux-testsuite/runtest.sh
index cb9ec66..4d76a33 100755
--- a/kernel/selinux-testsuite/runtest.sh
+++ b/kernel/selinux-testsuite/runtest.sh
@@ -436,6 +436,13 @@ EOF
             #if kver_ge 5.14.0-326; then
             #    force_tests+=" inet_socket/mptcp"
             #fi
+
+            if ! grep -q 'CONFIG_SCSI_ISCSI_ATTRS=y' "/lib/modules/$(uname -r)/config"; then
+                rlRun "sed -i -e 's/runcon -t test_netlink_iscsi_socket_t/true/' \
+                    -e 's/runcon -t test_no_netlink_iscsi_socket_t/false/' \
+                    tests/netlink_socket/test" 0 \
+                    "Apply workaround for disabled CONFIG_SCSI_ISCSI_ATTRS"
+            fi
         fi
 
         # CKI mainline kernels don't ship with module build infrastructure

                 reply	other threads:[~2026-09-11 13:21 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178913288511.1.15951807400895273459.tests-selinux-87346d076049@fedoraproject.org \
    --to=omosnace@redhat.com \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox